import { put, call } from 'redux-saga/effects';
import axios from 'axios';

import { USER_URL } from './../../constants/user';
import { changePasswordSuccess, changePasswordFailure } from './../../actions/user/changePassword'

export default function* ({payload:{_id, password, confirmPassword,token}}) {
    console.log('User inside the worker-saga', _id, password, confirmPassword, token);
    try {
        const config = {
            headers: {
                "Content-Type": "application/json",
                "Authorization": `Bearer ${token}`
            }
        }

        const user = yield call(() =>
            axios.put(`${USER_URL}${_id}`,{
                password, confirmPassword}, config)
                .then(({ data }) => data)
        )

        yield put(changePasswordSuccess(user));
    }
    catch ({ message }) {
        yield put(changePasswordFailure(message));
    }
}